> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resumen de Pinned Lists

> Los endpoints de pinned Lists te permiten consultar las Lists fijadas de un usuario y gestionar qué Lists están. Referencia del nivel estándar de X API v2 sobre inicio rápido.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Los endpoints de pinned Lists te permiten consultar las Lists fijadas de un usuario y gestionar qué Lists están fijadas.

<Note>
  **Requisitos previos**

  Antes de comenzar, necesitarás:

  * Una [cuenta de desarrollador](https://developer.x.com/en/portal/petition/essential/basic-info) con una App aprobada
  * User Access Token (OAuth 1.0a u OAuth 2.0 PKCE)
</Note>

***

## Endpoints disponibles

<CardGroup cols={2}>
  <Card title="Pinned Lists lookup" icon="thumbtack" href="/x-api/lists/pinned-lists/quickstart/pinned-list-lookup">
    Obtén tus Lists fijadas
  </Card>

  <Card title="Gestionar pinned Lists" icon="pin" href="/x-api/lists/pinned-lists/quickstart/manage-pinned-lists">
    Fija y desfija Lists
  </Card>
</CardGroup>

***

## Autenticación

| Operación               | Autenticación               |
| :---------------------- | :-------------------------- |
| Consultar Lists fijadas | OAuth 1.0a u OAuth 2.0 PKCE |
| Fijar/desfijar Lists    | OAuth 1.0a u OAuth 2.0 PKCE |

<Warning>
  Tanto las operaciones de lookup como de gestión requieren autenticación con contexto de usuario. La autenticación App-only (Bearer Token) no es compatible.
</Warning>

***

## Ejemplo rápido

<CodeGroup dropdown>
  ```bash cURL theme={null}
  # Obtener Lists fijadas
  curl "https://api.x.com/2/users/2244994945/pinned_lists" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

  # Obtener Lists fijadas
  response = client.lists.get_pinned("2244994945")

  for lst in response.data:
      print(f"{lst.name}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

  // Obtener Lists fijadas
  const response = await client.lists.getPinned("2244994945");

  response.data?.forEach((lst) => {
    console.log(lst.name);
  });
  ```
</CodeGroup>

***

## Próximos pasos

<CardGroup cols={2}>
  <Card title="List lookup" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-bulleted-list.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=b9bf8323233df59c682b0fec8e3f88d5" href="/x-api/lists/list-lookup/quickstart" width="24" height="24" data-path="icons/xds/icon-bulleted-list.svg">
    Obtén detalles de una List
  </Card>

  <Card title="Gestionar Lists" icon="pen" href="/x-api/lists/manage-lists/quickstart">
    Crea y actualiza Lists
  </Card>
</CardGroup>
